unit KKS_VGB;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils,myutf8list,Forms,Dialogs,lazutf8;

procedure Initialize;
function Test(germanLong:string;inEnglish:boolean;isPrefix:boolean):string;


implementation

type TDictionaryEntry =
record
 GermanLong:string;
 GermanShort:string;
 EnglishLong:string;
 EnglishShort:string;
end;

type
 TDictionary=array of TDictionaryEntry;

var
 dictionary:TDictionary;
 f:textfile;


procedure Initialize;
var
 rs:rawbytestring;
 sb,sc:string;
 l:TListEnumerator;
begin
 setlength(dictionary,0);
 assignfile(f,'KKS.csv');
 reset(f);
 while not(eof(f)) do
 begin
  readln(f,rs);
  SetCodePage(rs,1252,false);
  sb:=rs;
  l.Init(sb,';');                                   //Breakpoint 1
  sc:=l.NextItem;
  setlength(dictionary,length(dictionary)+1);       //Breakpoint 2
  dictionary[length(dictionary)-1].GermanLong:=sc;

 end;
 closefile(f);
end;

function Test(germanLong:string;inEnglish:boolean;isPrefix:boolean):string;
var
 s1:string;
 s2:string;
begin
 Result:='';
  s1:=UTF8LowerCase(dictionary[0].GermanLong);
  s2:='wärme';                                   //Breakpoint 3
  ShowMessage(s1);                               //Breakpoint 4
  ShowMessage(s2);
  ShowMessage(inttostr(UTF8Length(s1)));
  ShowMessage(inttostr(UTF8Length(s2)));
  ShowMessage(inttostr(Length(s1)));
  ShowMessage(inttostr(Length(s2)));
  if s1=s2
  then ShowMessage('gleich')
  else ShowMessage('ungleich');
end;

end.

